org.eclipse.microprofile.health.tck.deployment

## Class DelayedCheck

- java.lang.Object
- - org.eclipse.microprofile.health.tck.deployment.DelayedCheck

All Implemented Interfaces:
  HealthCheck

    @Readiness
     @ApplicationScoped
    public class DelayedCheck
    extends Object
    implements HealthCheck

### Constructor Summary

Constructors
Constructor and Description
`DelayedCheck()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HealthCheckResponse` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelayedCheck

    public DelayedCheck()

### Method Detail

#### call

    public HealthCheckResponse call()

Specified by:
  `call` in interface `HealthCheck`